antiprism-0.23
Up Next

# col_util - colour utilities including plots and blends

Usage | Examples | Notes

## Usage

    Usage: col_util [options]

    various plots of maps, colors and blendings

    Options
      -h,--help this help message (run 'off_util -H help' for general help)
      --version version information
      -o <file> write output to file (default: write to standard output)
      -f <type> for output type 4, map is output instead of OFF file
                   map type: rgb=1, antiprism=2, decimal=3 (default: 1)

    Scene Options
      -M <mode> color system mode. HSV=1, HSL=2, RGB=3 (default: 3)
                   plot as cone, bicone or cube respectively
      -d <int>  output type. plot=1, wheel=2, grid=3, map=4 (default: 1)
                   if color wheel and RGB, only one color blend is possible
      -V        verbose output. show color blend RGBA components

    Output type 1 options
      -r <int>  HSV/HSL chroma  0 - none (cylinder), 1 - conic, 2 - hexagonal
      -S        HSV/HSL distribute colors heptagonally, 7 ways, as in the rainbow
      -k <int>  container control (default: 2)
                   0 - suppress, 1 - no facets on chroma-2,  2 - full
      -z <int>  1 - show model upright, 2 - upright but don't rotate RGB cube
      -q <int>  height of the HSL cones (default: no change)
                   1 - double, 2 - make 90 degree dihedral
      -p        plot color centroid(s)

    Color Blending Options
      -s <sat>  HSV/HSL saturation curve. Greather than 0 (default: 1)
                   1.0 - no curve. lower than 1.0 makes blends more pastel
                   4 numbers can be entered seperated by commas
      -t <val>  HSV/HSL threshold to use average saturation (default: 1)
                   between 0.0 (all averaging) and 1.0 (no averaging)
      -v <val>  HSV/HSL value curve (default: 0)
                   simulates subtractive coloring for blending 3 or more colors
                   RGB: Red+Green+Blue = White   Cyan+Magenta+Yellow = Black
                   RYB: Red+Yellow+Blue = Black  Green+Magenta+Orange = White
                   1.0 - no curve. lower than 1.0 number makes blends lighter
                   0.0 - use average value instead
                   4 numbers can be entered seperated by commas
      -u <val>  HSV/HSL value advance. Rotates meaning of blend to white and black
                   valid values 0.0 to 120.0 degrees (default: 0)
      -a <int>  alpha for blend. average=1, minimum=2, maximum=3 (default: 3)
      -y        RYB mode. Blend colors as in Red-Yellow-Blue color wheel
      -c        CMY mode. Complementary colors.  RGB->(RYB/GMO)->CMY->blend
      -b <val>  All color sytem modes. brightness adjustment for final blend
                   valid values -1.0 to +1.0 (default: 0)
                   negative for darker, positive for lighter, 0 for no change

    Coloring Options (run 'off_util -H color' for help on color formats)
      -m <map>  get colors from a color map, or multiple maps seperated by commas
      -O <file> get colors from an OFF file
                   note: -m and -O may be used together
      -U        allow only unique colors (sorts by color)
      -Z <int>  maximum entries to read from open ended maps (default: 256)

## Examples

RGB cube centroid of blue and yellow

    col_util -d plot -m map_blue:yellow | antiview -v 0.05

HSV cylinder centroid of blue and yellow

    col_util -d plot -m map_blue:yellow -M 1 | antiview -v 0.05

Blend in RYB mode

    col_util -d plot -m map_blue:yellow -M 2 -p -y | antiview -v 0.05

Blend in RYB mode with different saturation modifiers

    col_util -d plot -m map_blue:yellow -M 2 -p -y -s 0.8,1.01,2,3 | antiview -v 0.05

Compare additive and subtractive colouring

    col_util -d plot -m map_red:green:blue -M 2 -p -v 1,2,3,4 | antiview -v 0.05
    col_util -d plot -m map_red:green:blue -M 2 -p -v 1,2,3,4 -c | antiview -v 0.05

Plot rainbow colour map in RGB cube

    col_util -m rainbow | antiview -v 0.03

Plot rainbow colour map in HSL cylinder, hexagonal dipyramid, or heptagonal dipyramid

    col_util -m rainbow -M 2 -r 0 | antiview -v 0.03
    col_util -m rainbow -M 2 -r 2 | antiview -v 0.03
    col_util -m rainbow -M 2 -r 2 -S | antiview -v 0.03

Display a color wheel of red green and blue

    col_util -d wheel -m map_red:green:blue | antiview

Display rainbow colour map as a grid

    col_util -d grid -m rainbow | antiview

## Notes

col_util was written by Roger Kaufman.

Up: Programs and Documentation
Next: UNSUPPORTED: dome_layer - dome strut arrangements